
SITETB - Bug #348

Bug n exibição da hora no pedido

01/29/2013 03:58 PM - Maurício Dos Santos

Status: Closed Start date: 01/29/2013

Priority: Normal Due date: 02/28/2013

Assignee: Maurício Dos Santos % Done: 0%

Category:  Estimated time: 0.00 hour

Target version: Versão atual Spent time: 0.00 hour

Componente:    

Description

O horário que aparece abaixo do pedido indicando há quanto tempo esse pedido existe esta aparecendo de forma errônea quando

é anterior a um dia (em horas).

History

#1 - 01/30/2013 04:20 PM - Maurício Dos Santos

- Assignee changed from Maurício Dos Santos to Ricardo Memoria

#2 - 01/31/2013 09:22 AM - Maurício Dos Santos

- Assignee changed from Ricardo Memoria to Maurício Dos Santos

#3 - 02/25/2013 08:11 PM - Maurício Dos Santos

- Status changed from New to Feedback

- Assignee changed from Maurício Dos Santos to Ricardo Memoria

Ricardo,

Quando o usuario acessa a tela de pedidos em aberto o sistema exibe o pedido com o tempo em dias que ele foi criado... o problema é que quando

esse tempo é menor que um dia o sistema esta exibindo da seguinte forma... Suponha que eu criei o pedido às 21:35... o sistema vai exibir "21 hora

35 min atras"...

Isso acontece por que quando o sistema grava o orderDate (data do pedido) ele grava sem a hora, portanto, a diferença entre 25/02/2013 00:00:00 e

25/02/2013 21:35:00(data e hora atual usada no calculo) vai dar 21:35...

Consegui resolver o problema alterando a estrutura da tabela medicineorder... Apesar de na classe Order a orderDate estar anotada como

TIMESTAMP, somente a data está sendo gravada. Logo, executando a query abaixo o problema é resolvido...

ALTER TABLE `sitetb`.`medicineorder` MODIFY COLUMN `orderDate` DATETIME NOT NULL;

Como estarei mexendo na estrutura do banco de dados, gostaria de seu ok....

#4 - 02/26/2013 08:13 AM - Ricardo Memoria

- Status changed from Feedback to In Progress

- Assignee changed from Ricardo Memoria to Maurício Dos Santos
Oi Maurício,

Isso mesmo... Pode atualizar o campo da tabela.

#5 - 02/26/2013 09:23 AM - Maurício Dos Santos

- Status changed from In Progress to Resolved

#6 - 02/28/2013 05:37 PM - Cristiane Angeli David

- Due date set to 02/28/2013

Oi Maurício,

Fiz uma transferência e um pedido. Nos dois casos a hora exibida está errada. Logo após eu ter feito o pedido aparece que a ação foi realizada há

19 horas atrás..

Ricardo Memoria wrote:

 

Oi Maurício,

Isso mesmo... Pode atualizar o campo da tabela.

#7 - 03/01/2013 08:38 PM - Maurício Dos Santos

- Status changed from Resolved to Closed
